Accounts APISandbox
Trigger a reversal for an incoming transaction
Simulates a banking provider reversal notification for the specified incoming transaction. Only available in the sandbox environment.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
ID of the incoming transaction to reverse.
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08/reverse" \ -H "X-Volt-Api-Version: 1"Empty
{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}